%global rocm_version 1.6.4

Name:		hipblas
Version:	0.10.1.0
Release:	3.rocm%{rocm_version}%{?dist}
Summary:	hip based blas library	

License:	MIT
URL:		https://github.com/ROCmSoftwarePlatform/hipBLAS
Source0:	https://github.com/ROCmSoftwarePlatform/hipBLAS/archive/v%{version}/hipblas-%{version}.tar.gz
Patch0:		0001-Install-to-standard-prefix.patch

BuildRequires:	cmake
BuildRequires:	rocm-cmake
BuildRequires:	hcc
BuildRequires:	rocblas-devel
BuildRequires:	rocm-runtime-devel

%{!?enable_llvmtoolset7: %define enable_llvmtoolset7 %{nil}}
%{!?enable_devtoolset7: %define enable_devtoolset7 %{nil}}

%if 0%{?rhel} == 7
# FIXME: Manually define enable_llvmtoolset7 until llvm-toolset-7-5.0.1 is
# available
%enable_llvmtoolset7 %global ___build_pre %{___build_pre}; source scl_source enable llvm-toolset-7 || :

BuildRequires: llvm-toolset-7-cmake
BuildRequires: llvm-toolset-7-runtime
BuildRequires: devtoolset-7-build

%enable_llvmtoolset7
%enable_devtoolset7
%global __cmake cmake
%endif

%description
hcc based blas library

%package devel
Summary: hipblas development files
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Libraries and header files for hipblas


%prep
%autosetup -n  hipBLAS-%{version} -p1


%build
mkdir build
cd build

# hcc does not support the default CXXFLAGS, so we can't use the cmake macro:
%__cmake .. \
        -DCMAKE_BUILD_TYPE=RELWITHDEBINFO \
        -DCMAKE_CXX_COMPILER=%{_bindir}/hcc \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_INSTALL_INCLUDEDIR=%{_includedir}/hipblas


%make_build


%install
cd build
%make_install


%files
%license LICENSE.md
%doc README.md
%{_libdir}/libhipblas.so.*

%files devel
%{_libdir}/libhipblas.so
%{_libdir}/cmake/hipblas/
%{_includedir}/hipblas


%changelog
* Tue Mar 13 2018 Tom Stellard <tstellar@redhat.com> - 0.10.1.0-3.rocm1.6.4
- Add epel support

* Wed Feb 28 2018 Tom Stellard <tstellar@redhat.com> - 0.10.1.0-2.rocm1.6.4
- Install headers to {_includedir}/hipblas

* Fri Feb 16 2018 Tom Stellard <tstellar@redhat.com> - 0.10.1.0-1.rocm1.6.4
- 0.10.1.0 Release

